org.keycloak.models.sessions.infinispan.initializer

## Class InfinispanUserSessionInitializer

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.initializer.InfinispanUserSessionInitializer

-     public class InfinispanUserSessionInitializer
      extends Object

  Startup initialization for reading persistent userSessions/clientSessions to be filled into infinispan/memory . In cluster, the initialization is distributed among all cluster nodes, so the startup time is even faster TODO: Move to clusterService. Implementation is already pretty generic and doesn't contain any "userSession" specific stuff. All sessions-specific logic is in the SessionLoader implementation
  Author:
    Marek Posolda

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `InfinispanUserSessionInitializer.WorkerResult`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InfinispanUserSessionInitializer(KeycloakSessionFactory sessionFactory, org.infinispan.Cache<String,Serializable> workCache, SessionLoader sessionLoader, int maxErrors, int sessionsPerSegment, String stateKeySuffix)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initCache()`
    `void` | `loadPersistentSessions()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InfinispanUserSessionInitializer

          public InfinispanUserSessionInitializer(KeycloakSessionFactory sessionFactory,
                                                  org.infinispan.Cache<String,Serializable> workCache,
                                                  SessionLoader sessionLoader,
                                                  int maxErrors,
                                                  int sessionsPerSegment,
                                                  String stateKeySuffix)

  - ### Method Detail

    - #### initCache

          public void initCache()

    - #### loadPersistentSessions

          public void loadPersistentSessions()

Copyright © 2016 JBoss by Red Hat. All rights reserved.